Jump to content

Playback failed on Kodi 19 with Emby-next-gen


rbronco21
 Share

Recommended Posts

rbronco21

I can usually restart Kodi, start a show or two, then each show after that gives me the Playback failed error. I have 2 FireTV Sticks doing this, but my Vero4K+ on Kodi 18 and the old Kodi for Emby works every time. My server runs on an unRAID docker and it believes it is up to date.

unRAID is giving me a bunch of these errors and I think they might be related, but I don't know enough to tell you how.

Mar 20 23:32:57 unRAID nginx: 2021/03/20 23:32:57 [error] 8796#8796: *47988 limiting requests, excess: 20.061 by zone "authlimit", client: 192.168.1.31, server: , request: "PROPFIND /login HTTP/2.0", host: "unraid"

Appreciate any help you can give, even if it's enough info to post a meaningful  request on the unRAID forum.

kodi.log EmbyServer.txt

Link to comment
Share on other sites

quickmic

Can you please downgrade to stable version 5.1.7 and try again.

I know 5.2.01 has some login issues, I'm currently working on it.

Link to comment
Share on other sites

rbronco21

I'm looking here for a zip to install and see 5.1.17. It looks like that is fairly new and I've had the issues since I upgraded, at least 3 or 4 weeks. The FireTV Sticks are my extra boxes so they're not critical. If a fix is on the way in  days or a week or so, I can wait. If not, I'd like to get it working sooner.

https://github.com/MediaBrowser/plugin.video.emby/releases

Link to comment
Share on other sites

quickmic

ok, please send me a new log, but I think I know what causes the issue.

Can you please test with a stock kodi (only plugin -> emby-next gen) installation?

"raise Exception("UnknownRequest")" is usually triggered by an external plugin (query). If it works with stock Kodi, I can send you a debug version to monitor the Websocket calls.

btw, native mode will fix the issue, but I wanna tackle issue in addon mode.

 

Edited by quickmic
Link to comment
Share on other sites

rbronco21

Wiping Kodi and installing the version above seems to have worked. The only thing I had installed before was a skin, so maybe something has been lurking in my install for a while. Let me know if a log still be useful. Of course I'll post one if it crops up again. 

Link to comment
Share on other sites

quickmic

Well you had the NextAired plugin installed. Probably that's the reason for the invalid request. Can you try disable it?

I'll also install the nextaired plugin and see what's happening.

Link to comment
Share on other sites

rbronco21

OK, my skin did install a bunch of prereqs... I have installed the skin on my fresh install and will see what happens. If it fails, I'll try disabling them. I don't use any next aired functionality so hopefully it doesn't affect my skin.

  • Like 1
Link to comment
Share on other sites

quickmic

Thanks, I'll review the logs and already found one issue.

http://127.0.0.1:57578/tvshows/9440/37490-3c2d1a66f4467f06f22f06ae79999c0b-6191120-stream-24.S01E01.mkvExtras/ is an invalid request.

I'll fix it in next version.

Link to comment
Share on other sites

quickmic

I just tested this skin. I cannot find the configurations link. Is there a trick to access Kodi system settings?

Link to comment
Share on other sites

rbronco21

Don’t think so. I change the layout immediately but it seems like settings is just at the far right or bottom like other skins. Am I misunderstanding the question? I’m out of town for a week so I’ll help with whatever I can until I get home to get hands on again. 

  • Like 1
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...